Saltar al contenido

Foto

Denominación de objetos catia


  • Please log in to reply
13 Respuesta(s) a este Tema

#1
sendadiego

sendadiego

    Experto en AuxCAD

  • Miembros
  • 62 Mensajes
  • Auxis: 2

    Bueno igual me veis mucho por aquí próximamente ya que estoy adentrándome en la programación en visual basic, para orientarlo a catia (no dudeis en llamarme pesado cuando me lo merezca XD)

     

    La duda que tengo hoy es, ¿donde puedo encontrar como se denominan todos los objetos (botones, acciones, comandos y demas) en catia?,

    Por ejemplo si quiero realizar una linea,¿como se llama el comando para hacerlo mediante código?

     

    Espero que exista algún archivo tipo txt que genere catia o algo por el estilo.

     

    De nuevo Gracias


    • 0

    #2
    ferdo

    ferdo

      Experto en AuxCAD

    • Miembros
    • 215 Mensajes
  • Auxis: 104
    • Pais: Country Flag

    Hola,

     

    Tal vez esto le ayudar

     

    Fichero Adjunto  2013-11-08 20_36_38-CATIA V5 - Part1.png   87K   9 Número de descargasFichero Adjunto  2013-11-08 20_38_01-CATIA V5 - Part1.png   59,22K   5 Número de descargas


    • 1
    Un saludo cordial
    Fernando

    sites visited in RO
    sites visited in EU

    #3
    sendadiego

    sendadiego

      Experto en AuxCAD

    • Miembros
    • 62 Mensajes
  • Auxis: 2

    Es justo los que estaba buscando, eres un crack, muchas gracias de nuevo


    • 0

    #4
    sendadiego

    sendadiego

      Experto en AuxCAD

    • Miembros
    • 62 Mensajes
  • Auxis: 2

    ¿Alguien sabe porque lo que programo en visual studio 2012 me da error cuando pongo esto? no me deja ejecutarlo,o ¿es porque visual basic no sirve para hacer macros en catia? estoy mas perdido que el barco del arroz  :( empieza a ser un poco frustrante

     

    Sub CATMain()
     
    Set documents1 = CATIA.Documents
     
    Set partDocument1 = documents1.Add("Part")
     
    End Sub

    • 0

    #5
    ferdo

    ferdo

      Experto en AuxCAD

    • Miembros
    • 215 Mensajes
  • Auxis: 104
    • Pais: Country Flag

    ¿Se puede cargar el código ? Puedo echar un vistazo ...


    • 0
    Un saludo cordial
    Fernando

    sites visited in RO
    sites visited in EU

    #6
    sendadiego

    sendadiego

      Experto en AuxCAD

    • Miembros
    • 62 Mensajes
  • Auxis: 2

    intento hacer una prueba de poner un botón con el siguiente codigo:

     

     

    Public Class Form1
     
        Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
     
    Sub CATMain()
     
            documents1 = CATIA.Documents
     
            partDocument1 = documents1.Add("Part")
     
        End Sub
     
        End Sub
    End Class

    • 0

    #7
    ferdo

    ferdo

      Experto en AuxCAD

    • Miembros
    • 215 Mensajes
  • Auxis: 104
    • Pais: Country Flag

    Hola

     

    Descargar este

     

    Es un proyecto archivado en VS Express 2012.


    • 1
    Un saludo cordial
    Fernando

    sites visited in RO
    sites visited in EU

    #8
    sendadiego

    sendadiego

      Experto en AuxCAD

    • Miembros
    • 62 Mensajes
  • Auxis: 2
    Este si que me funciona, por lo que he intentado poner otro código en el lugar de las letras amarillas(código de una macro que si me funciona) y me da error.
    ¿Cual es tu secreto? ¿Alguna configuración de visual studio quizás?
     
    Option Explicit On
    Imports INFITF
    Imports MECMOD
    Imports PARTITF
    Imports ProductStructureTypeLib
    Imports System
    Imports Microsoft
    Imports Microsoft.VisualBasic.MsgBoxStyle
    Imports Microsoft.VisualBasic
     
    Public Class Form1
     
        Public CATIA As INFITF.Application
     
        Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
     
            CATIA = GetObject(, "CATIA.Application")
     
            Dim documents1 As Documents
            documents1 = CATIA.Documents
     
            Dim partDocument1 As Document
            partDocument1 = documents1.Add("Part")
     
        End Sub
     
     
    End Class

    • 0

    #9
    ferdo

    ferdo

      Experto en AuxCAD

    • Miembros
    • 215 Mensajes
  • Auxis: 104
    • Pais: Country Flag

    Hola

     

    No hay secretos, ni ajustes especiales. ¿Cuál es el código? ¿Ha agregado las referencias por el nueve codigo?


    • 1
    Un saludo cordial
    Fernando

    sites visited in RO
    sites visited in EU

    #10
    sendadiego

    sendadiego

      Experto en AuxCAD

    • Miembros
    • 62 Mensajes
  • Auxis: 2
    Este código lo pegué en la zona de codigo y el propio visual no me dejaba ejecutarlo, (solo era para hacer una prueba de intentar saber porqué no me funcionan los codigos que creo).
     
    Sub CATMain()
     
    Set documents1 = CATIA.Documents
     
    Set drawingDocument1 = documents1.Add("Drawing")
     
    drawingDocument1.Standard = catISO
     
    Set drawingSheets1 = drawingDocument1.Sheets
     
    Set drawingSheet1 = drawingSheets1.Item("Sheet.1")
     
    drawingSheet1.PaperSize = catPaperA3
     
    drawingSheet1.Scale = 1.000000
     
    drawingSheet1.Orientation = catPaperLandscape
     
    Set drawingDocument1 = CATIA.ActiveDocument
     
     
    Cuadro1 = InputBox ("Escriba el texto a continuacion, Insert the text")
     
     
    Set drawingDocument1 = CATIA.ActiveDocument
    Set drawingSheets1 = drawingDocument1.Sheets
    Set drawingSheet1 = drawingSheets1.Item("Sheet.1" )
    Set ActiveView = drawingSheet1.Views.Item(1)
    Dim collection_textes As DrawingTexts
    Set collection_textes = ActiveView.Texts
    Dim Legende_texte As DrawingText
    Set Legende_texte = collection_textes.Add(Cuadro1, 150, 150)
     
    Legende_texte.SetFontName 0, 0, "Arial"
     
    Legende_texte.SetFontSize 0, 0, 8
     
    '~ Uncomment rows to obtain other kind of drawing texts.
     
    '~ Legende_texte.SetParameterOnSubString catItalic, 0, 0, 0
    '~ Legende_texte.SetParameterOnSubString catSubscript, 0, 0, 0
    '~ Legende_texte.SetParameterOnSubString catUnderline, 0, 0, 0
    '~ Legende_texte.SetParameterOnSubString catOverline, 0, 0, 0
    '~ Legende_texte.SetParameterOnSubString catSuperscript, 0, 0, 0
    '~ Legende_texte.SetParameterOnSubString catBold, 0, 0, 0
    Legende_texte.SetParameterOnSubString catStrikethrough, 0, 0, 0
     
     
     
     
     
    drawingDocument1.ExportData "C:\texto.dwg", "dwg"
     
    Set specsAndGeomWindow1 = CATIA.ActiveWindow
     
    specsAndGeomWindow1.Close 
     
    Set drawingDocument1 = CATIA.ActiveDocument
     
    drawingDocument1.Close 
     
    Set documents1 = CATIA.Documents
     
    Set document1 = documents1.Open("C:\texto.dwg")
     
    End Sub

    • 0

    #11
    ferdo

    ferdo

      Experto en AuxCAD

    • Miembros
    • 215 Mensajes
  • Auxis: 104
    • Pais: Country Flag

    Hola,

     

    En el código inicial, no hay referencias para dibujo, agregar esta referencia y ver lo que está pasando.

    Ficheros Adjuntos


    • 1
    Un saludo cordial
    Fernando

    sites visited in RO
    sites visited in EU

    #12
    sendadiego

    sendadiego

      Experto en AuxCAD

    • Miembros
    • 62 Mensajes
  • Auxis: 2

    ahora le estoy cogiendo el truco, ya e conseguido hacer varias macros que me funcionan.

    Muchas gracias de nuevo ferdo, eres un amigo.


    • 0

    #13
    sendadiego

    sendadiego

      Experto en AuxCAD

    • Miembros
    • 62 Mensajes
  • Auxis: 2

    Aver si me puede ayudar con un problema que llevo varias horas intentando.

     

    partdocument1.SaveAs("C:\Users\usr1\Desktop\T " & numero & ".CATPart")

     

    necesito cambiar la ruta (en amarillo) por otra que yo elija mediante FolderBrowserDialog o similar, ya que es un bucle que me crea muchos part y como la ruta es la misma no puedo usar CATIA.FileSelectionBox

     

    he intentado hacer algo así partdocument1.SaveAs(FolderBrowserDialog1.SelectedPath("T " & numero & ".CATPart")) pero sin resultado

     

    ¿Donde me equivoco?


    • 0

    #14
    ferdo

    ferdo

      Experto en AuxCAD

    • Miembros
    • 215 Mensajes
  • Auxis: 104
    • Pais: Country Flag

    Hola

     

    Pruebe algo como esto:

    Dim folBrowserDia As New FolderBrowserDialog
            folBrowserDia.Description = "Please Select folder where you want to save the CATPart"
            folBrowserDia.RootFolder = Environment.SpecialFolder.Desktop
    
            Dim strFolPath As String
            If folBrowserDia.ShowDialog() = DialogResult.OK Then
                strFolPath = folBrowserDia.SelectedPath
            Else
                Exit Sub
            End If

    • 0
    Un saludo cordial
    Fernando

    sites visited in RO
    sites visited in EU




    0 Usuario(s) están leyendo este Tema

    0 miembro(s), 0 invitado(s), 0 usuario(s) anónimo(s)